Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.security
Class NullAuthenticator

    java.lang.Object
      |
      +--com.caucho.http.security.AbstractAuthenticator
            |
            +--com.caucho.http.security.NullAuthenticator

All Implemented Interfaces:
  ServletAuthenticator

public class NullAuthenticator
extends AbstractAuthenticator

The null authenticator creates a dummy user.

Fields inherited from class com.caucho.http.security.AbstractAuthenticator
`LOGIN_NAME, passwordDigest, passwordDigestName, principalCache, principalCacheSize`

Constructor Summary
`NullAuthenticator()`

Method Summary
`java.security.Principal` | `getUserPrincipalImpl(HttpServletRequest request, ServletContext application)` Gets the user from a persistent cookie, uaing authenticateCookie to actually look the cookie up.
`boolean` | `isUserInRole(HttpServletRequest request, ServletContext application, java.security.Principal user, java.lang.String role)`
`java.security.Principal` | `loginImpl(HttpServletRequest request, HttpServletResponse response, ServletContext app, java.lang.String user, java.lang.String password)` Authenticate (login) the user.

Methods inherited from class com.caucho.http.security.AbstractAuthenticator
`digest, getDigestPassword, getDigestSecret, getPasswordDigest, getPrincipalCacheSize, getUserPrincipal, init, isUserInRole, login, loginDigest, loginDigestImpl, logout, setPasswordDigest, setPrincipalCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullAuthenticator

    public NullAuthenticator()

Method Detail

### loginImpl

    public java.security.Principal loginImpl(HttpServletRequest request,
                                             HttpServletResponse response,
                                             ServletContext app,
                                             java.lang.String user,
                                             java.lang.String password)
                                      throws ServletException

  Description copied from class: `AbstractAuthenticator`
  Authenticate (login) the user.
  Overrides:
    `loginImpl` in class `AbstractAuthenticator`

### getUserPrincipalImpl

    public java.security.Principal getUserPrincipalImpl(HttpServletRequest request,
                                                        ServletContext application)
                                                 throws ServletException

  Description copied from class: `AbstractAuthenticator`
  Gets the user from a persistent cookie, uaing authenticateCookie to actually look the cookie up.
  Overrides:
    `getUserPrincipalImpl` in class `AbstractAuthenticator`

### isUserInRole

    public boolean isUserInRole(HttpServletRequest request,
                                ServletContext application,
                                java.security.Principal user,
                                java.lang.String role)
                         throws ServletException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD